Subject: bug#32849: 26.1; xref-marker-ring-length user option doesn't have setter

From: Eli Zaretskii <[email-masked]>
Date: Sat, 27 Oct 2018 12:57:47 +0300

> From: Allen Li <[email-masked]>
> Date: Wed, 24 Oct 2018 21:30:51 -0600
> Cc: [email-masked]
> 
> Patches attached.

Thanks.  Please see a few minor comments below.

> I wrote tests with names function-to-test/case-tested.  I'm not sure
> if this violates style policies for tests.  It seems like existing
> code tests multiple cases in a single test, but I find separate tests
> easier to understand when they regress.  The / makes the test names
> easier to read.

I don't see any problem with this, we don't have style policy that
disallows such style, AFAIK.

> I based this off of 26 (as I think this is a minor bugfix/feature add).

Hmm... I think we should install this on master, not on emacs-26, as
the problem is not serious enough.

> +** xref
> +
> ++++
> +*** Setter added for 'xref-marker-ring-length'.

This heading is not on the user level, it's on the implementation
level.  I'd suggest to use this instead:

  You can now change 'xref-marker-ring-length' after 'xref.el' is loaded.

> +if set before `xref.el` was loaded.

Please use quoting 'like this' in NEWS and in comments.

>  (defcustom xref-marker-ring-length 16
> -  "Length of the xref marker ring."
> -  :type 'integer)
> +  "Length of the xref marker ring.
> +If this variable is not set through Customize, you must call
> +‘xref-set-marker-ring-length’ for changes to take effect."

I guess you copy-pasted the last line from the *Help* buffer, or you
have electric-quotes turned on, because it uses the wrong quote
characters; in doc strings, please quote `like this' instead.

> +(defun xref-set-marker-ring-length (var val)
> +  "Set ‘xref-marker-ring-length’.
> +VAR is the symbol ‘xref-marker-ring-length’ and VAL is the new

Same here.